label chapter_three:

 $chapter = 3
 $time = "400"
 
 scene bg_menelea
 with dissolve
   
 pause
 
 "Chapter three."
 
 "Menelea High is quiet this morning. There aren't any troublemakers throwing water on me or kids laughing on the walkway. I take my sweet time walking to school."
 
 "A lot's happened in the past couple of days."
 
 if(seyena_rating>0) or (chris_rating>0):
  "I rekindled my friendships with Chris and Seyena. The same friendships I abandoned last summer."
 if(charlotte_rating==2):
  "Most importantly, I became good friends with Charlotte. You know, the one girl I thought I'd ruined a friendship with before it even started."
 if(charlotte_rating==1):
  "I made up with that girl, Charlotte. I'm still not too sure how she feels about me, but at least we're not enemies."
 if(seyena_rating==2):
  "I went to the anime store with Seyena. That was a lot of fun, and I got her a cool present. However, I still kind of wonder if I got the right thing..."
 if(chris_rating==3):
  "I conducted a heist with Chris. Our target: Valor. Our motive: art. That was a lot of fun, and I finally found out why he never talks about his parents."
 if(prixima_rating==2):
  "I also confronted Prixima about her relationship with my father. I'm not sure if we're doing the right thing by keeping it secret... the tension between her and I is practically overwhelming by this point."
  
 show gregor_happy at gregor_left
 
 gregor "Hmm. There's someone up ahead."
 
 show chris_happy at chris_right
 
 chris "Hello~"
 if chris_rating>=2:
  gregor "Hey, Chris. Waiting on a friend again?"
 else:
  gregor "Hey, Chris. What are you standing out here for?"
  
 chris "I was waiting on you, actually."
 
 hide gregor_happy
 show gregor_shocked at gregor_left
 
 #Begin Chris present convo
 
 gregor "Oh? Why is that?"
 if (chris_rating==0) and (seyena_rating==0):
  chris "Seyena and I are a little worried about you, actually."
  gregor "Really?"
  chris "Mostly Seyena."
  gregor "Oh. That's, ah..."
  chris "We haven't seen you at all in the past few days."
  "Seyena is a sophomore, so it makes sense we wouldn't see each other much outside of after-school activities."
  gregor "Sorry, I've been hanging out with someone else for a couple of days. I didn't mean to neglect you guys or anything like that..."
  hide chris_happy
  show chris_shrug at chris_shrug_right
  chris "I bet you didn't even get her a present."
  if(present=="none"):
   gregor "Present?"
   "I feel like I'm forgetting something..."
   chris "It's her birthday today, Gregor. She's always gotten you a present for your birthday every single year since you met her."
   gregor "Erp."
   chris "You're not really telling me you didn't even get her a nice tee-shirt when you have the money for ten thousand?"
   gregor "I really forgot, Chris. I'm sorry."
   chris "Oh, don't apologize to me. I'm not the one who needs it."
   "Great. I'm going to be showing up to Seyena's party empty-handed."
   chris "See you around."
  else:
   hide gregor_shocked
   show gregor_happy at gregor_left
   gregor "Actually, I did."
   chris "Really?"
   gregor "Yeah. I got her something I think she'll really like. I had a little help, though."
   chris "'A little help?' What's going on? You normally don't talk to anyone except us."
   gregor "The truth of it is..."
   menu:
    gregor "The truth of it is..."
    "I went shopping with a girl":
     gregor "I've been spending time with a girl after school. We went shopping for a present for Seyena."
     chris "Ooo~"
     hide gregor_happy
     show gregor_sigh at gregor_left
     gregor "Come on. It's not like that."
     chris "Are you sure?"
     gregor "Well, I don't know. We've only known each other for a couple days."
     chris "Love at first sight, then?"
     gregor "It's not anything like that. Really!"
     chris "Keep telling yourself that. Do you think she'd like to come to the party?"
     hide gregor_sigh
     show gregor_happy at gregor_left
     gregor "Seyena's party? You think she'd be okay with that?"
     chris "Sure. I bet Seyena would love to see you making some new friends."
     gregor "I'll ask her. Thanks, Chris."
    "I went shopping with a friend":
     gregor "I went shopping with a friend. We found a present for Seyena."
     chris "A friend?"
     gregor "Yes."
     chris "A giiiiiiiiiiirl?"
     gregor "...Yes..."
     chris "A giiiiiiiiiiirl friiiend?"
     hide gregor_happy
     show gregor_sigh at gregor_left
     gregor "What? {b}No!{/b}"
     chris "Anyway, if your friend helped you buy the present, don't you think it's only right that they come to the party?"
     hide gregor_sigh
     show gregor_happy at gregor_left
     gregor "Seyena would be okay with that?"
     chris "It's a party. More friends means more fun."
     gregor "Alright. I'll ask her. Thanks, Chris."
   chris "See you around."
 else:
  chris "Do you remember what happens today?"
  gregor "Seyena's birthday party, right? Are we having it in the dining hall like our club meetings?"
  chris "That's right. Did you get her a present?"
  if(present=="none"):
   gregor "Err..."
   if(chris_rating==3):
    $present="necklace"
    chris "Don't worry. I didn't leave you much time to get a last-minute present last night, so here."
    "Chris hands me a petite golden necklace. It looks really expensive."
    hide gregor_happy
    show gregor_shocked at gregor_left
    gregor "Where did you get this!?"
    chris "One of the baubles Mrs. Kesselring confiscated for misdemeanor. I don't know who originally owned it, but it was hidden in her desk last night. I'll let you take credit for finding it. Say you bought it, even."
    gregor "Wow. Thanks, Chris. Isn't this stealing, though?"
    chris "Stealing is such a harsh word. I prefer 'long-term borrowing.'"
   else:
    hide gregor_happy
    show gregor_shocked at gregor_left
    chris "Thought so."
    gregor "Thought so? Why?"
    chris "It's not important."
    gregor "Why are you being so mean all of the sudden?"
    hide chris_happy
    show chris_shrug at chris_shrug_right
    chris "I still care more about her than you do."
    "Wha-"
    chris "There. Does this answer satisfy you?"
    gregor "I really intended to get her something! Really!"
    chris "Hey, I'm not the one you need to apologize to."
    gregor "Ack..."
   chris "See you at the party."
  else:
   gregor "Actually, I did."
   "I can't really tell him that she very nearly picked it out for me, though..."
   chris "Good. I'm sure she'll enjoy it."
   gregor "See you there, Chris. Have a good day."
   chris "Same to you."
 
 hide chris_shrug
 hide chris_happy
 
 "Chris disappears into the tree cover. Mysteriously."
 gregor "Huh."
 
 hide gregor_shocked
 hide gregor_happy
 
 #End Chris present convo
 
 scene bg_classroom
 with dissolve
 
 pause
 
 show prixima_happy at prixima_right
 
 prixima "Hrmph."
 
 if(prixima_rating==2):
  "Prixima stares at me menacingly when I arrive. I guess she's still upset about yesterday."
 if(chris_rating==3):
  prixima "Where's my detainees? Who let them out?"
  "Eep. I try to be as cool as I can possibly be. Which is to say: not very cool at all."
  "Valor isn't even here. He's not always the smartest, but I guess he thought through it enough to hide from her today. Or he took Chris' advice."
  prixima "Very well. If anyone knows anything about this, speak up and you will be rewarded."
  
 "She's in a really sour mood today, so no one even dares to ask questions."
 prixima "...And that's why the quadratic formula is without a doubt better than completing the square."
 prixima "So! I'm sure you're all very curious about this large piece of parchment on my desk."
 "No one is curious, but we don't dare say so."
 prixima "I managed to dig up an ancient, exhaustive map to the hidden location of my rightful Dragonstone: Lapis Lazuli."
 prixima "You all thought I was crazy. Look who's crazy NOW!"
 "She pulls out the map and displays it for the class."
 hide prixima_happy
 scene map
 pause
 show prixima_happy at prixima_right
 prixima "This weekend, starting tomorrow, I will be embarking on a long, perilous journey to find the magic treasure."
 hide prixima_happy
 scene bg_classroom
 show prixima_happy at prixima_right
 prixima "What? No comments? No praise? No 'you were right, Mrs. Kesselring?'"
 show tantallos_happy at tantallos_left
 tantallos "Mrs. Kesselring, wouldn't it be easier to just take a short walk south toward the buried treasure?"
 prixima "Er."
 "You can almost see the gears spinning."
 prixima "That's absurd. What would give you such a ridiculous idea, Tantallos? Remember: the Hallowed Cage of Stupid Fucking Questions always has space for another occupant."
 tantallos "Sorry."
 hide tantallos_happy
 show gregor_sigh at gregor_left
 gregor "Audible sigh."
 hide gregor_sigh
 prixima "Now, I'm leaving at nine o'clock this evening. Anyone who would like to join me is free to do so."
 hide prixima_happy
 if prixima_rating==2:
  "I think Prixima just topped her own high score in Bat Guano Crazy: The Game."
  "So why am I intensely curious about this?"
 
 "Class ends. Since it's Friday, school's out!"
 
 scene bg_menelea_hallway
 with dissolve
 
 pause
 
 if(present=="none"):
  "Chris is standing around on the other end of the hall when I get out of class. He approaches me, his cloak flowing slightly from the breeze through the open hallway windows."
  show chris_happy at chris_right
  chris "You might have screwed up with the present, but I think I figured out a way for you to make up for it."
  chris "This is Seyena's sweet sixteenth, so I want to make it special. She's probably expecting it to be a really low-key party with the RPG club, but you only turn sixteen once, right?"
  show gregor_shocked at gregor_left
  gregor "What do we need?"
  chris "Find students for the party tonight. No really weird ones, of course. Vet them before letting them in."
  gregor "The party's at, uh..."
  chris "Nine P.M. Not even the principal will be here."
  gregor "Oh."
  if(prixima_rating==2):
   "The same time as Prixima's..."
  chris "Good luck."
  hide chris_happy
  "Chris leaves. Time to get this party started."
  hide gregor_shocked
 else:
  "Seyena is standing at the other end of the hall when I get out of class. She approaches me, her iron-tipped shoes clink-clanking on the polished hallway floor."
  show seyena_happy_left at seyena_right
  seyena "Hey, Gregor. Are you excited?"
  show gregor_smile at gregor_left
  gregor "Sure. But the question is: are you?"
  seyena "Obviously, I'm a little nervous."
  gregor "About what?"
  seyena "We're hiding on school grounds for four hours to throw a birthday party in the dining hall! What if we get caught?"
  menu:
   seyena "We're hiding on school grounds for four hours to throw a birthday party in the dining hall! What if we get caught?"
   "We won't get caught.":
    gregor "We won't get caught. Don't worry about that."
    seyena "Alright. I trust you."
   "It's not worse than getting caught reading Yaoi" if caught_seyena==1:
    gregor "It can't be worse than getting caught reading Yaoi comics."
    hide seyena_happy_left
    show seyena_shocked_left at seyena_right
    seyena "IF YOU BRING THAT UP AT ANY POINT-"
    gregor "Don't worry. I'm just having a little fun with you."
    seyena "A-alright."
    hide seyena_shocked_left
    show seyena_happy_left at seyena_right
    if present=="yaoi":
     "I feel for the Yaoi book I bought in my backpack and just smile."
  seyena "Still... I don't know. What if one of the students finds out and reports us later."
  gregor "Alright. If you're really worried about this, I might have an idea."
  seyena "Oh?"
  gregor "I'll go around campus telling students there's an 'official after-school birthday celebration.' Some will even be invited. That way, if someone asks later, the students will just say: 'oh, it's an official school event! No need to report it!'"
  "Seyena thinks for a minute."
  seyena "I like it. See you at nine, Gregor."
  gregor "Same to you."
  "Seyena leaves. I've only got a few hours..."
  hide gregor_smile
  hide seyena_happy_left
  
 #start the clock at 4:30
 "Alright. 4:30 PM. We got out of our last class early, so most of the after-school clubs should be meeting right about now. I'll check those out later."
 if(charlotte_rating==2):
  "Charlotte might be heading out by this point. I wonder if she'd like to come?"
 "The cafeteria should still be open for the next hour or so. If there's anyone in there, it'd be a great place to advertise."
 "There may also be a couple people in the library if I wanted to look there."
  
 jump recruitment
 
 return
